<?php
 echo "Entrez votre note (entière) : " ;
 fscanf(STDIN,"%d",$note)              ;

  switch (true)
  {
    case in_array($note, range(0,10)):
             echo $note." est un résultat faible".PHP_EOL ;
	         break ;
    case in_array($note, range(11,20)):
             echo $note." est un bon résultat".PHP_EOL    ;
	         break ;
    default: echo "Note = ".$note."  invalide ! ".PHP_EOL;
	         break ;
  }
?>
